/**
 * STGL 部件模型
 *
 * @export
 * @class STGLModel
 */
export default class STGLModel {

	/**
	 * 是否是实体数据导出
	 *
	 * @returns {any[]}
	 * @memberof STGLGridMode
	 */
	public isDEExport: boolean = false;

	/**
	 * 获取数据项集合
	 *
	 * @returns {any[]}
	 * @memberof STGLGridMode
	 */
	public getDataItems(): any[] {
    if(this.isDEExport){
		  return [
      ]
    }else{
		  return [
        {
          name: 'acquerymodelid',
          prop: 'acquerymodelid',
          dataType: 'PICKUP',
        },
        {
          name: 'der11deid',
          prop: 'der11deid',
          dataType: 'PICKUP',
        },
        {
          name: 'dename',
          prop: 'dename',
          dataType: 'TEXT',
        },
        {
          name: 'createdate',
          prop: 'createdate',
          dataType: 'DATETIME',
        },
        {
          name: 'updateman',
          prop: 'updateman',
          dataType: 'TEXT',
        },
        {
          name: 'updatedate',
          prop: 'updatedate',
          dataType: 'DATETIME',
        },
        {
          name: 'createman',
          prop: 'createman',
          dataType: 'TEXT',
        },
        {
          name: 'srfmajortext',
          prop: 'dename',
          dataType: 'TEXT',
        },
        {
          name: 'srfdataaccaction',
          prop: 'deid',
          dataType: 'GUID',
        },
        {
          name: 'srfkey',
          prop: 'deid',
          dataType: 'GUID',
        },
        {
          name: 'detype',
          prop: 'detype',
          dataType: 'NSCODELIST',
        },
        {
          name: 'delogicname',
          prop: 'delogicname',
          dataType: 'TEXT',
        },
        {
          name: 'dataentity',
          prop: 'deid',
        },
      {
        name: 'n_dename_like',
        prop: 'n_dename_like',
        dataType: 'TEXT',
      },

        {
          name:'size',
          prop:'size'
        },
        {
          name:'query',
          prop:'query'
        },
        {
          name:'page',
          prop:'page'
        },
        {
          name:'sort',
          prop:'sort'
        },
        {
          name:'srfparentdata',
          prop:'srfparentdata'
        },
        // 前端新增修改标识，新增为"0",修改为"1"或未设值
        {
          name: 'srffrontuf',
          prop: 'srffrontuf',
          dataType: 'TEXT',
        },
      ]
    }
  }

}